## r-cran-pki 0.1

=== DESCRIPTION ===
Package: PKI
Version: 0.1-15
Title: Public Key Infrastucture for R Based on the X.509 Standard
Authors@R: person("Simon", "Urbanek", role=c("aut","cre","cph"), email="Simon.Urbanek@r-project.org", comment=c("https://urbanek.nz", ORCID="0000-0003-2297-1732"))
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0), base64enc
Enhances: gmp
Description: Public Key Infrastucture functions such as verifying certificates, RSA encription and signing which can be used to build PKI infrastructure and perform cryptographic tasks.
License: GPL-2 | GPL-3 | file LICENSE
URL: http://www.rforge.net/PKI
SystemRequirements: OpenSSL library and headers (openssl-dev or
        similar)
NeedsCompilation: yes
Packaged: 2025-08-19 06:20:08 UTC; rforge
Author: Simon Urbanek [aut, cre, cph] (https://urbanek.nz, ORCID:
    <https://orcid.org/0000-0003-2297-1732>)
Repository: CRAN
Date/Publication: 2025-08-19 08:30:19 UTC

## r-cran-pki 0.1-5.1

=== debian/changelog ===
r-cran-pki (0.1-5.1-1) unstable; urgency=medium

  * Initial release (closes: #898691)

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2018 10:49:40 +0200

=== debian/control ===
Source: r-cran-pki
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-base64enc,
               libssl-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pki
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pki.git
Homepage: https://cran.r-project.org/package=PKI

Package: r-cran-pki
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: public key infrastucture for R based on the X.509 standard
 PKI functions such as verifying certificates, RSA encription and
 signing which can be used to build PKI infrastructure and perform
 cryptographic tasks.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/PKI_([-\d.]*)\.tar\.gz

## r-cran-pki 0.1-7

=== debian/changelog ===
r-cran-pki (0.1-7-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:19:33 +0000

r-cran-pki (0.1-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Apr 2020 11:16:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-base64enc,
                libssl-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pki
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pki.git
 Homepage: https://cran.r-project.org/package=PKI
+Rules-Requires-Root: no
 
 Package: r-cran-pki
 Architecture: any

## r-cran-pki 0.1-8

=== debian/changelog ===
r-cran-pki (0.1-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2021 13:03:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-base64enc,
                libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pki
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pki.git
 Homepage: https://cran.r-project.org/package=PKI

## r-cran-pki 0.1-9

=== debian/changelog ===
r-cran-pki (0.1-9-1ubuntu1) jammy; urgency=medium

  * debian/patches/openssl3-compat.patch: Fix compatibility with OpenSSL
    3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 12 Mar 2022 00:09:19 -0800

r-cran-pki (0.1-9-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 11:11:30 +0100

r-cran-pki (0.1-9-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.1-9
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 05 Nov 2021 17:25:52 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-pki
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -9,7 +10,7 @@
                r-base-dev,
                r-cran-base64enc,
                libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pki
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pki.git
 Homepage: https://cran.r-project.org/package=PKI

## r-cran-pki 0.1-11

=== debian/changelog ===
r-cran-pki (0.1-11-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.1-11
  * Drop patches: not needed anymore

 -- Nilesh Patra <nilesh@debian.org>  Sun, 20 Mar 2022 02:24:03 +0530

r-cran-pki (0.1-10-2) unstable; urgency=medium

  * Team Upload.
  * Revert "Ignore one failing test"
  * d/salsa-ci.yml: Disable reprotest

 -- Nilesh Patra <nilesh@debian.org>  Sun, 13 Mar 2022 14:03:23 +0530

r-cran-pki (0.1-10-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Archive.
  * Fix compatibility with OpenSSL 3 (Thanks to Steve Langasek for the fix)
    Closes: #1007172

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 08:43:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-pki
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r

## r-cran-pki 0.1-12

=== debian/changelog ===
r-cran-pki (0.1-12-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:25:20 +1100

r-cran-pki (0.1-12-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:10:19 +0000

r-cran-pki (0.1-12-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1045858
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 17:38:44 +0100

r-cran-pki (0.1-12-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

  [ Nilesh Patra ]
  * Cherry-pick upstream patch to fix autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 18:55:12 +0530

=== debian/control ===
Source: r-cran-pki
Section: gnu-r
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pki
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pki.git
Homepage: https://cran.r-project.org/package=PKI
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-base64enc,
               libssl-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-pki
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: public key infrastucture for R based on the X.509 standard
 PKI functions such as verifying certificates, RSA encription and
 signing which can be used to build PKI infrastructure and perform
 cryptographic tasks.

## r-cran-pki 0.1-14

=== debian/changelog ===
r-cran-pki (0.1-14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Feb 2025 14:05:36 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-pki
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pki
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pki.git
 Homepage: https://cran.r-project.org/package=PKI
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-pki 0.1-15

=== debian/changelog ===
r-cran-pki (0.1-15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Jan 2026 16:55:51 +0900

=== debian/control ===
Source: r-cran-pki
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-base64enc,
               libssl-dev,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pki
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pki.git
Homepage: https://cran.r-project.org/package=PKI
Rules-Requires-Root: no

Package: r-cran-pki
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: public key infrastucture for R based on the X.509 standard
 PKI functions such as verifying certificates, RSA encription and
 signing which can be used to build PKI infrastructure and perform
 cryptographic tasks.
